Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRule Struct Reference

InterpretationRule defines a rule that is applied to a reading, resulting in an Interpretation. More...

`import "GatewaySensorManager.idl";`

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRule:

## Public Attributes

Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable
AccessType | accessType
| use rule for read and/or write access

## Detailed Description

InterpretationRule defines a rule that is applied to a reading, resulting in an Interpretation.

A list of InterpretationRule is applied in the given order, and stopped after the first match. If no rule applies, the interpretation is Interpretation::DEFAULT.

Definition at line 454 of file GatewaySensorManager.idl.

## Member Data Documentation

## accessType

AccessType peripheral::GatewaySensorManager::InterpretationRule::accessType

use rule for read and/or write access

Definition at line 457 of file GatewaySensorManager.idl.

## ignoreTimeout

int peripheral::GatewaySensorManager::InterpretationRule::ignoreTimeout

if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

Definition at line 456 of file GatewaySensorManager.idl.

## interpretation

Interpretation peripheral::GatewaySensorManager::InterpretationRule::interpretation

how to interpret the applied rule

Definition at line 455 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl